Package org.eclipse.emf.cdo.common.model

# Enum-Klasse CDOFeatureType

java.lang.Object
java.lang.Enum<CDOFeatureType>
org.eclipse.emf.cdo.common.model.CDOFeatureType

Alle implementierten Schnittstellen:
  `Serializable`, `Comparable<CDOFeatureType>`, `Constable`

public enum CDOFeatureType extends Enum<CDOFeatureType>
Enumerates the possible types of `features`.

Seit:
  4.5
Autor:
  Eike Stepper

## Verschachtelte Klassen - Übersicht

## Von Klasse geerbte verschachtelte Klassen/Schnittstellen java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum-Konstanten - Übersicht

Enum-Konstanten
Enum-Konstante
Beschreibung
`ALL`
`ATTRIBUTE`
`CONTAINER`
`CONTAINMENT`
`NONE`
`REFERENCE`
`XREF`

## Methodenübersicht

Modifizierer und Typ
Methode
Beschreibung
`abstract boolean`
`matches(EStructuralFeature feature)`
`static boolean`
`matchesCombination(EStructuralFeature feature, Collection<CDOFeatureType> featureTypes)`
`static CDOFeatureType`
`read(String str)`
`static Set<CDOFeatureType>`
`readCombination(String str)`
`static CDOFeatureType`
`valueOf(String name)`
Gibt die Enum-Konstante dieser Klasse mit dem angegebenen Namen zurück.
`static CDOFeatureType[]`
`values()`
Gibt ein Array mit den Konstanten dieser Enum-Klasse in der Reihenfolge ihrer Deklaration zurück.
`static String`
`writeCombination(Collection<CDOFeatureType> featureTypes)`

### Von Klasse geerbte Methoden java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Von Klasse geerbte Methoden java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum-Konstanten - Details

### NONE

public static final CDOFeatureType NONE

### ALL

public static final CDOFeatureType ALL

### ATTRIBUTE

public static final CDOFeatureType ATTRIBUTE

### REFERENCE

public static final CDOFeatureType REFERENCE

### CONTAINER

public static final CDOFeatureType CONTAINER

### CONTAINMENT

public static final CDOFeatureType CONTAINMENT

### XREF

public static final CDOFeatureType XREF

## Methodendetails

### values

public static CDOFeatureType[] values()
Gibt ein Array mit den Konstanten dieser Enum-Klasse in der Reihenfolge ihrer Deklaration zurück.

Gibt zurück:
  ein Array mit den Konstanten dieser Enum-Klasse in der Reihenfolge ihrer Deklaration

### valueOf

public static CDOFeatureType valueOf(String name)
Gibt die Enum-Konstante dieser Klasse mit dem angegebenen Namen zurück. Die Zeichenfolge muss exakt mit einer ID übereinstimmen, mit der eine Enum-Konstante in dieser Klasse deklariert wird. (Zusätzliche Leerzeichen sind nicht zulässig.)

Parameter:
  `name` - Name der zurückzugebenden Enumerationskonstante.
Gibt zurück:
  Enumerationskonstante mit dem angegebenen Namen
Löst aus:
  `IllegalArgumentException` - wenn diese Enum-Klasse keine Konstante mit dem angegebenen Namen enthält
  `NullPointerException` - wenn das Argument nicht angegeben wird

### matches

public abstract boolean matches(EStructuralFeature feature)

### matchesCombination

public static boolean matchesCombination(EStructuralFeature feature, Collection<CDOFeatureType> featureTypes)

### read

public static CDOFeatureType read(String str)

### readCombination

public static Set<CDOFeatureType> readCombination(String str)

### writeCombination

public static String writeCombination(Collection<CDOFeatureType> featureTypes)